Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.logging
Class XMLFormatter

    java.lang.Object
      |
      +--java.util.logging.Formatter
            |
            +--java.util.logging.XMLFormatter

public class XMLFormatter
extends Formatter

Format a LogRecord into a standard XML format.

The DTD specification is provided as Appendix A to the Java Logging APIs specification.

The XMLFormatter can be used with arbitrary character encodings, but it is recommended that it normally be used with UTF-8. The character encoding can be set on the output Handler.

Since:
  1.4

Constructor Summary
`XMLFormatter()`

Method Summary
`String` | `format(LogRecord record)` Format the given message to XML.
`String` | `getHead(Handler h)` Return the header string for a set of XML formatted records.
`String` | `getTail(Handler h)` Return the tail string for a set of XML formatted records.

Methods inherited from class java.util.logging.Formatter
`formatMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFormatter

    public XMLFormatter()

Method Detail

### format

    public String format(LogRecord record)

  Format the given message to XML.

  Specified by:
    `format` in class `Formatter`
  Parameters:
    `record` - the log record to be formatted.
  Returns:
    a formatted log record

### getHead

    public String getHead(Handler h)

  Return the header string for a set of XML formatted records.

  Overrides:
    `getHead` in class `Formatter`
  Parameters:
    `h` - The target handler.
  Returns:
    header string

### getTail

    public String getTail(Handler h)

  Return the tail string for a set of XML formatted records.

  Overrides:
    `getTail` in class `Formatter`
  Parameters:
    `h` - The target handler.
  Returns:
    tail string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.